/**
 * @file
 * @brief Checks reset state
 */
/*
 * $LastChangedRevision: 1791 $
 * $LastChangedDate:: 2020-01-27 17:59:05 +0100#$
 *
 * This file is part of X2C. http://x2c.lcm.at/
 *
 * ===== CONFIDENTIAL =====
 * The content of this file is confidential according to the X2C Licence Terms and Conditions.
 *
 * Copyright (c) 2013, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 */
#ifndef CHECKVALIDAPPLICATION_H
#define CHECKVALIDAPPLICATION_H

#ifdef __cplusplus
extern "C" {
#endif

#include "Target.h"
#include "TableStruct.h"

/* maximum watchdogs reset after propgram stays in bootloader */
#define MAX_WATCHDOG_RESTS ((int16)10)

/* public prototypes */
void boot(void);
uint8 checkValidApplication(void);

#ifdef __cplusplus
}
#endif

#endif
